<meta name="help_topic:label" content="Writing Help Topics using Markdown"/>
<meta name="help_topic:top_level"/>
<meta name="help_topic:related" content="help_topics.help_topic_writing"/>

{% markdown %}
You can write help topics in markdown using the Twig extension in [markdown](https://www.drupal.org/project/markdown) 2.x (currently dev required!). Kudos [@markcarver](https://www.drupal.org/u/markcarver)!

Notes:

* For a live example, look into this page's source code.
* Don't forget the required meta tags outside of the markdown.
* Wrap you markdown in '{&#37; markdown %}' / '{&#37; endmarkdown %}' tags.
* Link internal pages with the `internal` prefix (`internal:/admin/people`), so they will not break with path prefixed installs.

There are some open questions though:

* Translations (for pure sitebuilding documentation not too major).
* Until markdown module implements the attributes extension, you can not prevent backlinks via the *nobacklink* css class on a link.

{% endmarkdown %}
